List accounts

Returns a list of accounts belonging to your project. The list can be filtered with search and tag parameters and is paginated (50 accounts per page).

Query Parameters
  • search
    Type: string

    Filter accounts by email address or name.

  • tags
    Type: string

    Filter accounts by a single tag name.

  • page
    Type: integerFormat: int32

    Zero-indexed page number to return.

  • max_score
    Type: integerFormat: int32

    Only return accounts whose score is strictly below this value.

  • spamchecker_only
    Type: boolean

    If true, only return accounts that are enabled for Spam Tests and not for warming.

  • spamchecker
    Type: boolean

    If true, also include accounts enabled for Spam Tests alongside warming-enabled accounts.

Responses
  • application/json
  • application/json
Request Example for get/v1/accounts
curl 'http://api.mailreach.co/api/v1/accounts?search=john%40acme.com&tags=sales-team&page=0&max_score=80&spamchecker_only=true&spamchecker=true' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN'
[
  {
    "id": 1234,
    "created_at": "2026-02-14T09:30:00.000Z",
    "email": "john@acme.com",
    "first_name": "John",
    "last_name": "Doe",
    "provider": "gmail",
    "alive": true,
    "suspended": false,
    "warming_enabled": true,
    "spamchecker_enabled": false,
    "score": 92,
    "total_messages_sent": 1240,
    "total_messages_received": 1187,
    "config_rampup_target": 25,
    "config_rampup_increase": 2,
    "config_max_conversation_running": 10,
    "config_current_conversation_running": 8,
    "time_zone": "Europe/Paris",
    "autopilot": true,
    "copilot_enabled": false,
    "tags": [
      {
        "id": 7,
        "name": "sales-team"
      }
    ]
  }
]